## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/v2.0/flows/{flowId}/intents

### Try it

### Get Intents

### cURL

```
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents \
  --header 'X-API-Key: <api-key>'
```

### Python

```
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Response Codes

- 200
- 400
- 401
- 402
- 403
- 404
- 405
- 409
- 413
- 500
- 501
- 502
- 503
- 504

### Example Response

```json
{
  "items": [
    {
      "_id": "<string>",
      "referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "OrderFood",
      "description": "Intent to order food",
      "tags": [
        "<string>"
      ],
      "isRejectIntent": true,
      "isDisabled": true,
      "localeReference": "<string>",
      "parentIntentId": "<string>",
      "feedbackReport": {
        "findings": [
          {}
        ],
        "info": {
          "fScore": 123
        }
      }
    }
  ],
  "total": 1,
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}
```

```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorizations

- **APIKeyHeader**
- **APIKeyQueryParam**

#### Headers

- **X-API-Key**: Required header for authentication.
- **Accept**: Specifies the expected media type in the response.

#### Path Parameters

- **flowId**: The unique identifier for the Flow, string length required: `24`, pattern: `^[a-z0-9]{24}$`.

#### Query Parameters

- **filter**: The name of the intent to filter the records.
- **limit**: Controls the page size. Default is `25`, maximum is `100`.
- **skip**: Number of items to skip before returning results.
- **sort**: Order in which results are returned.
